- NAME
- DESCRIPTION
- METHODS
- SEE ALSO

# NAME

Xapian::Document - Document object

# DESCRIPTION

This class represents a document in a Xapian database.

# METHODS

new

  Class constructor.

clone

  Return a clone of this class.

get_value (value_no)

  Returns the value by the assigned number.

add_value <value_no> <value>

  Set a value by value number.

remove_value <value_no>

  Removes the value with the assigned number.

clear_values

  Clear all set values.

get_data

  Return all document data.

set_data <data>

  Set all document data. This can be anything you like.

add_posting <term> <position> [<wdfinc>]

  Adds a term at the given position. wdfinc defaults to 1.

remove_posting <term> <position> [<wdfdec>]

  Removes a term from the given position. wdfdec defaults to 1.

add_term <term> [<wdfinc>]

  Adds a term without positional information. wdfinc defaults to 1.

add_boolean_term <term>

  Adds a term intended for boolean filtering (its wdf contribution will be 0).

remove_term <term>

  Removes a term and all postings associated with it.

clear_terms

  Remove all terms from the document.

termlist_count

  Returns number of different terms in the document.

termlist_begin

  Iterator for the terms in this document. Returns a Xapian::TermIterator.

termlist_end

  Equivalent end iterator for termlist_begin(). Returns a Xapian::TermIterator.

values_count

  Return number of defined values for this document.

values_begin

  Return a Xapian::ValueIterator pointing at the start of the values in this document.

values_end

  Return a Xapian::ValueIterator pointing at the end of the values in this document.

get_description

  Return a description of this object.

# SEE ALSO

Xapian::Database